Bug 1623561

Summary: displaying -Child Orchestration Stacks- throwing UI error
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: UI - OPSAssignee: Milan Zázrivec <mzazrivec>
Status: CLOSED ERRATA QA Contact: Ido Ovadia <iovadia>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.9.3CC: dclarizi, dmetzger, hkataria, igortiunov, iovadia, lavenel, mpovolny, mzazrivec, obarenbo
Target Milestone: GAKeywords: ZStream
Target Release: 5.9.5   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.9.5.2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1610252 Environment:
Last Closed: 2018-11-05 13:58:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack Target Upstream Version:
Bug Depends On: 1610252    
Bug Blocks:    
Attachments:
Description Flags
Error screenshot
none
production.log none

Comment 2 CFME Bot 2018-09-17 17:17:37 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e928c98b06cbd3170749a3e94d0032486d9d7c37
commit e928c98b06cbd3170749a3e94d0032486d9d7c37
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Aug 22 07:47:38 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Wed Aug 22 07:47:38 2018 -0400

    Merge pull request #4464 from mzazrivec/fix_rendering_of_child_orchestration_stacks

    Fix rendering of child orchestration stacks
    (cherry picked from commit 0553141a282b9429edfb658b83be50e5d21c3543)

    https://bugzilla.redhat.com/show_bug.cgi?id=1623561

 app/controllers/orchestration_stack_controller.rb | 4 +
 1 file changed, 4 insertions(+)

Comment 3 Jadh 2018-10-08 12:54:54 UTC
Hi,

Could you please provide more details on steps to reproduce

Thanks

Comment 4 Milan Zázrivec 2018-10-08 12:57:25 UTC
Compute ➛ Cloud ➛ Stacks ➛ Find a stack with child stacks ➛
In summary, click on child stacks.

Before this fix, the action would give the following error:

Error caught: [NameError] uninitialized constant Child
.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.0.7/lib/active_support/inflector/methods.rb:268:in `const_get'
.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.0.7/lib/active_support/inflector/methods.rb:268:in `block in constantize'
.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.0.7/lib/active_support/inflector/methods.rb:266:in `each'
.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.0.7/lib/active_support/inflector/methods.rb:266:in `inject'
.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.0.7/lib/active_support/inflector/methods.rb:266:in `constantize'
.rbenv/versions/2.4.2/lib/ruby/gems/2.4.0/gems/activesupport-5.0.7/lib/active_support/core_ext/string/inflections.rb:66:in `constantize'
manageiq-ui-classic/app/controllers/mixins/generic_show_mixin.rb:138:in `display_nested_generic'
manageiq-ui-classic/app/controllers/mixins/generic_show_mixin.rb:134:in `display_nested_list'
manageiq-ui-classic/app/controllers/mixins/generic_show_mixin.rb:29:in `show'

Comment 5 Jadh 2018-10-10 08:45:39 UTC
Thanks for your response.

This was pretty clear from bug

What I need is how to have child stack to begin with

Comment 6 Milan Zázrivec 2018-10-10 09:25:28 UTC
You need to add a provider with child stacks.

Comment 7 Ido Ovadia 2018-10-10 10:17:41 UTC
Failed QA
=========

CFME 5.9.5.0

How Reproduced
==============
1. Add OSPD Undercloud as Infrastructure Provider
2. Add RHOS Overcloud as Cloud Provider
3. Go to compute->cloud->stacks . 
4. Click on orchestration stack. 
   e.g overcloud-AllNodesDeploySteps-fioklarfpvgj
5. On stack summary page click "Child Orchestration Stacks"

Actual results:
===============
Unexpected error encountered
wrong number of arguments (given 4, expected 5..7) [orchestration_stack/show]

Additional info:
================
Screen-shot and evm.log are enclosed

Comment 8 Ido Ovadia 2018-10-10 10:19:05 UTC
Created attachment 1492482 [details]
Error screenshot

Comment 9 Ido Ovadia 2018-10-10 10:22:10 UTC
Created attachment 1492483 [details]
production.log

Comment 11 CFME Bot 2018-10-11 14:01:28 UTC
New commits detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/119d2691ca63f5730e7f7cfa37b8b7c029e7fa2a
commit 119d2691ca63f5730e7f7cfa37b8b7c029e7fa2a
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Oct 10 14:08:21 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Oct 10 14:08:21 2018 -0400

    Merge pull request #17851 from alexander-demichev/named-scopes-templates

    Add tenant filtering for templates in provisioning and summary pages

    (cherry picked from commit 142a184d4619fd9d3ecebb6cff71ccd13667832e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1623561

 app/models/manageiq/providers/cloud_manager/template.rb | 8 +-
 spec/lib/rbac/filterer_spec.rb | 78 +-
 spec/models/manageiq/providers/cloud_manager/template_spec.rb | 9 +-
 3 files changed, 75 insertions(+), 20 deletions(-)

Comment 12 Satoe Imaishi 2018-10-11 20:44:56 UTC
Oops.. ignore Comment 11, wrong BZ used in the backport msg!

Comment 13 CFME Bot 2018-10-12 18:42:26 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d041df738b73a526449f457463b3dbeba073694d
commit d041df738b73a526449f457463b3dbeba073694d
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Oct 11 06:36:51 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Oct 11 06:36:51 2018 -0400

    Add listicon parameter for child stack display

    https://bugzilla.redhat.com/show_bug.cgi?id=1623561

 app/controllers/orchestration_stack_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 14 Ido Ovadia 2018-10-17 14:59:14 UTC
Verified
========
5.9.5.2

Comment 16 errata-xmlrpc 2018-11-05 13:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466